# Tables

Tables are the "container" for all data on Redivis. They are made of rows and columns, where a row represents an individual entry or observation, and the column represents a [Variable](/reference/tables/variables.md).

Tables belong to either a [Dataset](/reference/datasets.md) or a [Workflow](/reference/workflows.md). In datasets, tables are created by [uploading data](/reference/datasets/create-and-edit-datasets/import-sources.md). In workflows, tables are created as the resulting output of a [transform](/reference/workflows/transforms.md) or [notebook](/reference/workflows/notebooks.md).

Tables can be used for analysis within a [Workflow](/reference/workflows.md). Alternatively, they can be [exported](/reference/tables/exporting-tables.md) for analysis in other environments.

{% embed url="<https://redivis.com/datasets/7br5-41440fjzk/tables/6fff-7hqb797cb>" %}
Embedded view of a table with 2.7B records. Click around to interact!
{% endembed %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/tables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
